package com.rjconsultores.ventaboletos.blocos.itau;

import java.math.BigDecimal;
import java.util.Date;

import com.rjconsultores.ventaboletos.blocos.DadosBoleto;
import com.rjconsultores.ventaboletos.blocos.DetalheMulta;
import com.rjconsultores.ventaboletos.blocos.DetalheObrigatorio;
import com.rjconsultores.ventaboletos.blocos.RateioDeCredito;
import com.rjconsultores.ventaboletos.enuns.TipoInscricaoPagador;

public class DetalheObrigatorioItau implements DetalheObrigatorio{
	
	private Integer codigoInscricao;
	private Integer numeroInscricao;
	private Integer agencia;
	//private String zeros;
	private Integer conta;
	private Integer dacConta;
	//private String Brancos1; //<!--Enviar 4 Brancos -->										
	private Integer instrucaoAlegacao;
	private String usoDaEmpresa;
	private String numCpfCnpj;
	private Integer nossoNumero;
	private BigDecimal qtdMoeda;
	private Integer nrCarteira;
	private String usoDoBanco;
	private String codigoCarteira;					
	private Integer codigoDeOcorrencia;
	private String numeroDoDocumento;
	private Date vencimento;
	private BigDecimal valor;
	private String codigoCompensacaoBancoRecebedor;
	private Integer agenciaCobradora;
	private String especieDeTitulo;
	private String aceite; //<!-- A = Aceite N = Não Aceite -->
	private Date emissao;
	private String instrucao1;
	private String instrucao2;
	private BigDecimal jurosDeMora;
	private Date dataDesconto;
	private BigDecimal descontoConcedido;
	private BigDecimal IOF_Devido;
	private BigDecimal abatimentoConcedido;
	private TipoInscricaoPagador tipoInscricaoSacado;
	private Long numeroInscricaoSacado;
	private String nomeSacado;									
	//private String brancos2; //<!--Enviar 10 Brancos -->
	private String logradouroSacado;										
	private String bairroSacado;
	private String cepSacado;
	private String cidade;
	private String estado;
	private String sacadorAvalista;
	//private String brancos3; //<!--Enviar 4 Brancos -->										
	private Date dataDeMora;
	private Integer prazo;
	//private String brancos4; //<!--Enviar 1 Branco -->													
	private Integer numeroSequencialRegistro;
	
	private DadosBoleto dadosBoleto;
	
	private RateioDeCredito rateioDeCredito;
	
	private DetalheMulta detalheMulta;
	
	public DadosBoleto getDadosBoleto() {
		return dadosBoleto;
	}
	public void setDadosBoleto(DadosBoleto dadosBoleto) {
		this.dadosBoleto = dadosBoleto;
	}
	public RateioDeCredito getRateioDeCredito() {
		return rateioDeCredito;
	}
	public void setRateioDeCredito(RateioDeCredito rateioDeCredito) {
		this.rateioDeCredito = rateioDeCredito;
	}
	public Integer getCodigoInscricao() {
		return codigoInscricao;
	}
	public void setCodigoInscricao(Integer codigoInscricao) {
		this.codigoInscricao = codigoInscricao;
	}
	public Integer getNumeroInscricao() {
		return numeroInscricao;
	}
	public void setNumeroInscricao(Integer numeroInscricao) {
		this.numeroInscricao = numeroInscricao;
	}
	public Integer getAgencia() {
		return agencia;
	}
	public void setAgencia(Integer agencia) {
		this.agencia = agencia;
	}
//	public String getZeros() {
//		return zeros;
//	}
//	public void setZeros(String zeros) {
//		this.zeros = zeros;
//	}
	public Integer getConta() {
		return conta;
	}
	public void setConta(Integer conta) {
		this.conta = conta;
	}
	public Integer getDacConta() {
		return dacConta;
	}
	public void setDacConta(Integer dacConta) {
		this.dacConta = dacConta;
	}
//	public String getBrancos1() {
//		return Brancos1;
//	}
//	public void setBrancos1(String brancos1) {
//		Brancos1 = brancos1;
//	}
	public Integer getInstrucaoAlegacao() {
		return instrucaoAlegacao;
	}
	public void setInstrucaoAlegacao(Integer instrucaoAlegacao) {
		this.instrucaoAlegacao = instrucaoAlegacao;
	}
	public String getUsoDaEmpresa() {
		return usoDaEmpresa;
	}
	public void setUsoDaEmpresa(String usoDaEmpresa) {
		this.usoDaEmpresa = usoDaEmpresa;
	}
	public Integer getNossoNumero() {
		return nossoNumero;
	}
	public void setNossoNumero(Integer nossoNumero) {
		this.nossoNumero = nossoNumero;
	}
	public BigDecimal getQtdMoeda() {
		return qtdMoeda;
	}
	public void setQtdMoeda(BigDecimal qtdMoeda) {
		this.qtdMoeda = qtdMoeda;
	}
	public Integer getNrCarteira() {
		return nrCarteira;
	}
	public void setNrCarteira(Integer nrCarteira) {
		this.nrCarteira = nrCarteira;
	}
	public String getUsoDoBanco() {
		return usoDoBanco;
	}
	public void setUsoDoBanco(String usoDoBanco) {
		this.usoDoBanco = usoDoBanco;
	}
	public String getCodigoCarteira() {
		return codigoCarteira;
	}
	public void setCodigoCarteira(String codigoCarteira) {
		this.codigoCarteira = codigoCarteira;
	}
	public Integer getCodigoDeOcorrencia() {
		return codigoDeOcorrencia;
	}
	public void setCodigoDeOcorrencia(Integer codigoDeOcorrencia) {
		this.codigoDeOcorrencia = codigoDeOcorrencia;
	}
	public String getNumeroDoDocumento() {
		return numeroDoDocumento;
	}
	public void setNumeroDoDocumento(String numeroDoDocumento) {
		this.numeroDoDocumento = numeroDoDocumento;
	}
	public Date getVencimento() {
		return vencimento;
	}
	public void setVencimento(Date vencimento) {
		this.vencimento = vencimento;
	}
	public BigDecimal getValor() {
		return valor;
	}
	public void setValor(BigDecimal valor) {
		this.valor = valor;
	}
	public String getCodigoCompensacaoBancoRecebedor() {
		return codigoCompensacaoBancoRecebedor;
	}
	public void setCodigoCompensacaoBancoRecebedor(String codigoCompensacaoBancoRecebedor) {
		this.codigoCompensacaoBancoRecebedor = codigoCompensacaoBancoRecebedor;
	}
	public Integer getAgenciaCobradora() {
		return agenciaCobradora;
	}
	public void setAgenciaCobradora(Integer agenciaCobradora) {
		this.agenciaCobradora = agenciaCobradora;
	}
	public String getEspecieDeTitulo() {
		return especieDeTitulo;
	}
	public void setEspecieDeTitulo(String especieDeTitulo) {
		this.especieDeTitulo = especieDeTitulo;
	}
	public String getAceite() {
		return aceite;
	}
	public void setAceite(String aceite) {
		this.aceite = aceite;
	}
	public Date getEmissao() {
		return emissao;
	}
	public void setEmissao(Date emissao) {
		this.emissao = emissao;
	}
	public String getInstrucao1() {
		return instrucao1;
	}
	public void setInstrucao1(String instrucao1) {
		this.instrucao1 = instrucao1;
	}
	public String getInstrucao2() {
		return instrucao2;
	}
	public void setInstrucao2(String instrucao2) {
		this.instrucao2 = instrucao2;
	}
	public BigDecimal getJurosDeMora() {
		return jurosDeMora;
	}
	public void setJurosDeMora(BigDecimal jurosDeMora) {
		this.jurosDeMora = jurosDeMora;
	}
	public Date getDataDesconto() {
		return dataDesconto;
	}
	public void setDataDesconto(Date dataDesconto) {
		this.dataDesconto = dataDesconto;
	}
	public BigDecimal getDescontoConcedido() {
		return descontoConcedido;
	}
	public void setDescontoConcedido(BigDecimal descontoConcedido) {
		this.descontoConcedido = descontoConcedido;
	}
	public BigDecimal getIOF_Devido() {
		return IOF_Devido;
	}
	public void setIOF_Devido(BigDecimal iOF_Devido) {
		IOF_Devido = iOF_Devido;
	}
	public BigDecimal getAbatimentoConcedido() {
		return abatimentoConcedido;
	}
	public void setAbatimentoConcedido(BigDecimal abatimentoConcedido) {
		this.abatimentoConcedido = abatimentoConcedido;
	}
	public TipoInscricaoPagador getTipoInscricaoSacado() {
		return tipoInscricaoSacado;
	}
	public void setTipoInscricaoSacado(TipoInscricaoPagador tipoInscricaoSacado) {
		this.tipoInscricaoSacado = tipoInscricaoSacado;
	}
	public Long getNumeroInscricaoSacado() {
		return numeroInscricaoSacado;
	}
	public void setNumeroInscricaoSacado(Long numeroInscricaoSacado) {
		this.numeroInscricaoSacado = numeroInscricaoSacado;
	}
	public String getNomeSacado() {
		return nomeSacado;
	}
	public void setNomeSacado(String nomeSacado) {
		this.nomeSacado = nomeSacado;
	}
//	public String getBrancos2() {
//		return brancos2;
//	}
//	public void setBrancos2(String brancos2) {
//		this.brancos2 = brancos2;
//	}
	public String getLogradouroSacado() {
		return logradouroSacado;
	}
	public void setLogradouroSacado(String logradouroSacado) {
		this.logradouroSacado = logradouroSacado;
	}
	public String getBairroSacado() {
		return bairroSacado;
	}
	public void setBairroSacado(String bairroSacado) {
		this.bairroSacado = bairroSacado;
	}
	public String getCepSacado() {
		return cepSacado;
	}
	public void setCepSacado(String cepSacado) {
		this.cepSacado = cepSacado;
	}
	public String getCidade() {
		return cidade;
	}
	public void setCidade(String cidade) {
		this.cidade = cidade;
	}
	public String getEstado() {
		return estado;
	}
	public void setEstado(String estado) {
		this.estado = estado;
	}
	public String getSacadorAvalista() {
		return sacadorAvalista;
	}
	public void setSacadorAvalista(String sacadorAvalista) {
		this.sacadorAvalista = sacadorAvalista;
	}
//	public String getBrancos3() {
//		return brancos3;
//	}
//	public void setBrancos3(String brancos3) {
//		this.brancos3 = brancos3;
//	}
	public Date getDataDeMora() {
		return dataDeMora;
	}
	public void setDataDeMora(Date dataDeMora) {
		this.dataDeMora = dataDeMora;
	}
	public Integer getPrazo() {
		return prazo;
	}
	public void setPrazo(Integer prazo) {
		this.prazo = prazo;
	}
//	public String getBrancos4() {
//		return brancos4;
//	}
//	public void setBrancos4(String brancos4) {
//		this.brancos4 = brancos4;
//	}
	public Integer getNumeroSequencialRegistro() {
		return numeroSequencialRegistro;
	}
	public void setNumeroSequencialRegistro(Integer numeroSequencialRegistro) {
		this.numeroSequencialRegistro = numeroSequencialRegistro;
	}
	
	private Integer idBoletoFechamento;
	
	@Override
	public void setIdBoletoFechamento(Integer id) {
		this.idBoletoFechamento = id;
		
	}
	@Override
	public Integer getIdBoletoFechamento(){
		return this.idBoletoFechamento;
	}
	
	public String getNumCpfCnpj() {
		return numCpfCnpj;
	}
	public void setNumCpfCnpj(String numCpfCnpj) {
		this.numCpfCnpj = numCpfCnpj;
	}
	public DetalheMulta getDetalheMulta() {
		return detalheMulta;
	}
	public void setDetalheMulta(DetalheMulta detalheMulta) {
		this.detalheMulta = detalheMulta;
	}
	public DetalheObrigatorioItau clone() throws CloneNotSupportedException {
		return (DetalheObrigatorioItau) super.clone();
	}
}
