package com.rjconsultores.ventaboletos.enuns;

public enum MotivoOcorrenciaBradesco {
	
	//ocorrência = 02
	EntConf_00("Ocorrência aceita"),
	EntConf_01("Código do Banco inválido"),
	EntConf_04("Código do movimento não permitido para a carteira"),
	EntConf_15("Características da cobrança incompatíveis"),
	EntConf_17("Data de vencimento anterior a data de emissão"),
	EntConf_21("Espécie do Título inválido"),
	EntConf_24("Data da emissão inválida"),
	EntConf_27("Valor/taxa de juros mora inválido"),
	EntConf_38("Prazo para protesto/ Negativação inválido"),
	EntConf_39("Pedido para protesto/ Negativação não permitido para o título"),
	EntConf_43("Prazo para baixa e devolução inválido"),
	EntConf_45("Nome do Pagador inválido"),
	EntConf_46("Tipo/num. de inscrição do Pagador inválidos"),
	EntConf_47("Endereço do Pagador não informado"),
	EntConf_48("CEP Inválido"),
	EntConf_50("CEP referente a Banco correspondente"),
	EntConf_53("Nº de inscrição do Pagador/avalista inválidos (CPF/CNPJ)"),
	EntConf_54("Pagadorr/avalista não informado"),
	EntConf_67("Débito automático agendado"),
	EntConf_68("Débito não agendado - erro nos dados de remessa"),
	EntConf_69("Débito não agendado - Pagador não consta no cadastro de autorizante"),
	EntConf_70("Débito não agendado - Beneficiário  não  autorizado pelo Pagador"),
	EntConf_71("Débito não agendado - Beneficiário  não  participa da modalidade de déb.automático"),
	EntConf_72("Débito não agendado - Código de moeda diferente de R$"),
	EntConf_73("Débito não agendado - Data de vencimento inválida/vencida"),
	EntConf_75("Débito não agendado - Tipo do número de inscrição do pagador debitado inválido"),
	EntConf_76("Pagador Eletrônico DDA - Esse motivo somente será disponibilizado no arquivo retorno para as empresas cadastradas nessa condição"),
	EntConf_86("Seu número do documento inválido"),
	EntConf_89("Email Pagador  não  enviado - título com débito automático"),
	EntConf_90("Email pagador  não  enviado - título de cobrança sem registro"),
	
	//ocorrência = 03
	EntReje_02("Código do registro detalhe inválido"),
	EntReje_03("Código da ocorrência inválida"),
	EntReje_04("Código de ocorrência  não  permitida para a carteira"),
	EntReje_05("Código de ocorrência  não  numérico"),
	EntReje_07("Agência/conta/Digito - |Inválido"),
	EntReje_08("Nosso número inválido"),
	EntReje_09("Nosso número duplicado"),
	EntReje_10("Carteira inválida"),
	EntReje_13("Identificaçãoo da emissão do bloqueto inválida"),
	EntReje_16("Data de vencimento inválida"),
	EntReje_18("Vencimento fora do prazo de operação"),
	EntReje_20("Valor do Título inválido"),
	EntReje_21("Espécie do Título inválida"),
	EntReje_22("Espécie  não  permitida para a carteira"),
	EntReje_24("Data de emissão inválida"),
	EntReje_28("Código do desconto inválido"),
	EntReje_38("Prazo para protesto/ Negativação inválido"),
	EntReje_44("Agência Beneficiário  não  prevista"),
	EntReje_45("Nome do pagador  não  informado"),
	EntReje_46("Tipo/número de inscrição do pagador inválidos"),
	EntReje_47("Endereço do pagador  não  informado"),
	EntReje_48("CEP Inválido"),
	EntReje_50("CEP irregular - Banco Correspondente"),
	EntReje_63("Entrada para Título já cadastrado"),
	EntReje_65("Limite excedido"),
	EntReje_66("Número autorização inexistente"),
	EntReje_68("Débito  não  agendado - erro nos dados de remessa"),
	EntReje_69("Débito  não  agendado - Pagador  não  consta no cadastro de autorizante"),
	EntReje_70("Débito  não  agendado - Beneficiário  não  autorizado pelo Pagador"),
	EntReje_71("Débito  não  agendado - Beneficiário  não  participa do Débito Automático"),
	EntReje_72("Débito  não  agendado - Código de moeda diferente de R$"),
	EntReje_73("Débito  não  agendado - Data de vencimento inválida"),
	EntReje_74("Débito  não  agendado - Conforme seu pedido, Título  não  registrado"),
	EntReje_75("Débito  não  agendado - Tipo de número de inscrição do debitado inválido"), 
	
	//ocorrência = 06
	Liquida_00("Título pago com dinheiro"),
	Liquida_15("Título pago com cheque"),
	Liquida_18("Pagamento Parcial"),
	Liquida_42("Rateio  não  efetuado"),
	
	//ocorrência = 09
	BaixAut_00("Ocorrência Aceita"),
	BaixAut_10("Baixa Comandada pelo cliente"),
	
	//ocorrência = 10
	BaixBan_00("Baixado Conforme Instruções da Agência"),
	BaixBan_14("Título Protestado"),
	BaixBan_15("Título excluído"),
	BaixBan_16("Título Baixado pelo Banco por decurso Prazo"),
	BaixBan_17("Titulo Baixado Transferido Carteira"),
	BaixBan_20("Titulo Baixado e Transferido para Desconto"),
	
	//ocorrência = 15 e 17
	LiquC_B_00("Título pago com dinheiro"),
	LiquC_B_15("Título pago com cheque"),
	
	//ocorrência = 24 
	CEPIrre_48("CEP inválido"),
	
	//ocorrência = 27
	BaixRej_04("Código de ocorrência  não  permitido para a carteira"),
	BaixRej_07("Agência/Conta/dígito inválidos"),
	BaixRej_08("Nosso número inválido"),
	BaixRej_10("Carteira inválida"),
	BaixRej_15("Carteira/Agência/Conta/nosso número inválidos"),
	BaixRej_40("Título com ordem de protesto emitido"),
	BaixRej_42("Código para baixa/devolução via Tele Bradesco inválido"),
	BaixRej_60("Movimento para Título  não  cadastrado"),
	BaixRej_77("Transferência para desconto  não  permitido para a carteira"),
	BaixRej_85("Título com pagamento vinculado"),
	
	//ocorrência = 28
	DebTari_02("Tarifa de permanência título cadastrado"),
	DebTari_03("Tarifa de sustação/Excl Negativação"),
	DebTari_04("Tarifa de protesto/Incl Negativação"),
	DebTari_05("Tarifa de outras instruções"),
	DebTari_06("Tarifa de outras ocorrências"),
	DebTari_08("Custas de protesto"),
	DebTari_12("Tarifa de registro"),
	DebTari_13("Tarifa título pago no Bradesco"),
	DebTari_14("Tarifa título pago compensação"),
	DebTari_15("Tarifa título baixado  não  pago"),
	DebTari_16("Tarifa alteração de vencimento"),
	DebTari_17("Tarifa concessão abatimento"),
	DebTari_18("Tarifa cancelamento de abatimento"),
	DebTari_19("Tarifa concessão desconto"),
	DebTari_20("Tarifa cancelamento desconto"),
	DebTari_21("Tarifa título pago cics"),
	DebTari_22("Tarifa título pago Internet"),
	DebTari_23("Tarifa título pago term. gerencial serviços"),
	DebTari_24("Tarifa título pago Pág-Contas"),
	DebTari_25("Tarifa título pago Fone Fácil"),
	DebTari_26("Tarifa título Déb. Postagem"),
	DebTari_27("Tarifa impressão de títulos pendentes"),
	DebTari_28("Tarifa título pago BDN"),
	DebTari_29("Tarifa título pago Term. Multi Função"),
	DebTari_30("Impressão de títulos baixados"),
	DebTari_31("Impressão de títulos pagos"),
	DebTari_32("Tarifa título pago Pagfor"),
	DebTari_33("Tarifa reg/pgto - guichê caixa"),
	DebTari_34("Tarifa título pago retaguarda"),
	DebTari_35("Tarifa título pago Subcentro"),
	DebTari_36("Tarifa título pago Cartão de Crédito"),
	DebTari_37("Tarifa título pago Comp Eletrônica"),
	DebTari_38("Tarifa título Baix. Pg. Cartório"),
	DebTari_39("Tarifa título baixado acerto BCO"),
	DebTari_40("Baixa registro em duplicidade"),
	DebTari_41("Tarifa título baixado decurso prazo"),
	DebTari_42("Tarifa título baixado Judicialmente"),
	DebTari_43("Tarifa título baixado via remessa"),
	DebTari_44("Tarifa título baixado rastreamento"),
	DebTari_45("Tarifa título baixado conf. Pedido"),
	DebTari_46("Tarifa título baixado protestado"),
	DebTari_47("Tarifa título baixado p/ devolução"),
	DebTari_48("Tarifa título baixado franco pagto"),
	DebTari_49("Tarifa título baixado SUST/RET/CARTÓRIO"),
	DebTari_50("Tarifa título baixado SUS/SEM/REM/CARTÓRIO"),
	DebTari_51("Tarifa título transferido desconto"),
	DebTari_52("Cobrado baixa manual"),
	DebTari_53("Baixa por acerto cliente"),
	DebTari_54("Tarifa baixa por contabilidade"),
	DebTari_55("Tr. tentativa cons deb aut"),
	DebTari_56("Tr. credito online"),
	DebTari_57("Tarifa reg/pagto Bradesco Expresso"),
	DebTari_58("Tarifa emissão Papeleta"),
	DebTari_59("Tarifa fornec papeleta semi preenchida"),
	DebTari_60("Acondicionador de papeletas (RPB)S"),
	DebTari_61("Acond. De papelatas (RPB)s PERSONAL"),
	DebTari_62("Papeleta formulário branco"),
	DebTari_63("Formulário A4 serrilhado"),
	DebTari_64("Fornecimento de softwares transmiss"),
	DebTari_65("Fornecimento de softwares consulta"),
	DebTari_66("Fornecimento Micro Completo"),
	DebTari_67("Fornecimento MODEN"),
	DebTari_68("Fornecimento de máquina FAX"),
	DebTari_69("Fornecimento de máquinas óticas"),
	DebTari_70("Fornecimento de Impressoras"),
	DebTari_71("Reativação de título"),
	DebTari_72("Alteração de produto negociado"),
	DebTari_73("Tarifa emissão de contra recibo"),
	DebTari_74("Tarifa emissão 2ª via papeleta"),
	DebTari_75("Tarifa regravação arquivo retorno"),
	DebTari_76("Arq. Títulos a vencer mensal"),
	DebTari_77("Listagem auxiliar de crédito"),
	DebTari_78("Tarifa cadastro cartela instrução permanente"),
	DebTari_79("Canalização de Crédito"),
	DebTari_80("Cadastro de Mensagem Fixa"),
	DebTari_81("Tarifa reapresentação automática título"),
	DebTari_82("Tarifa registro título déb. Automático"),
	DebTari_83("Tarifa Rateio de Crédito"),
	DebTari_84("Emissão papeleta sem valor"),
	DebTari_85("Sem uso"),
	DebTari_86("Cadastro de reembolso de diferença"),
	DebTari_87("Relatório fluxo de pagto"),
	DebTari_88("Emissão Extrato mov. Carteira"),
	DebTari_89("Mensagem campo local de pagto"),
	DebTari_90("Cadastro Concessionária serv. Publ."),
	DebTari_91("Classif. Extrato Conta Corrente"),
	DebTari_92("Contabilidade especial"),
	DebTari_93("Realimentação pagto"),
	DebTari_94("Repasse de Créditos"),
	DebTari_96("Tarifa reg. Pagto outras mídias"),
	DebTari_97("Tarifa Reg/Pagto - Net Empresa"),
	DebTari_98("Tarifa título pago vencido"),
	DebTari_99("TR Tít. Baixado por decurso prazo"),
	DebTari_100("Arquivo Retorno Antecipado"),
	DebTari_101("Arq retorno Hora/Hora"),
	DebTari_102("TR. Agendamento Déb Aut"),
	DebTari_105("TR. Agendamento rat. Crédito"),
	DebTari_106("TR Emissão aviso rateio"),
	DebTari_107("Extrato de protesto"),
	
	//ocorrência = 29
	OcorPag_78("Pagador alega que faturamento e indevido"),
	OcorPag_95("Pagador aceita/reconhece o faturamento"),

	//ocorrência = 30
	AltDado_01("Código do Banco inválido"),
	AltDado_04("Código de ocorrência  não  permitido para a carteira"),
	AltDado_05("Código da ocorrência  não  numérico"),
	AltDado_08("Nosso número inválido"),
	AltDado_15("Característica da cobrança incompatível"),
	AltDado_16("Data de vencimento inválido"),
	AltDado_17("Data de vencimento anterior a data de emissão"),
	AltDado_18("Vencimento fora do prazo de operação"),
	AltDado_24("Data de emissão Inválida"),
	AltDado_26("Código de juros de mora inválido"),
	AltDado_27("Valor/taxa de juros de mora inválido"),
	AltDado_28("Código de desconto inválido"),
	AltDado_29("Valor do desconto maior/igual ao valor do Título"),
	AltDado_30("Desconto a conceder  não  confere"),
	AltDado_31("Concessão de desconto já existente"),
	AltDado_32("Valor do IOF inválido"),
	AltDado_33("Valor do abatimento inválido"),
	AltDado_34("Valor do abatimento maior/igual ao valor do Título"),
	AltDado_38("Prazo para protesto/ Negativação inválido"),
	AltDado_39("Pedido para protesto/ Negativação  não  permitido para o título"),
	AltDado_40("Título com ordem/pedido de protesto/Negativação emitido"),
	AltDado_42("Código para baixa/devolução inválido"),
	AltDado_46("Tipo/número de inscrição do pagador inválidos"),
	AltDado_48("Cep Inválido"),
	AltDado_53("Tipo/Número de inscrição do pagador/avalista inválidos"),
	AltDado_54("Pagadorr/avalista  não  informado"),
	AltDado_57("Código da multa inválido"),
	AltDado_58("Data da multa inválida"),
	AltDado_60("Movimento para Título não cadastrado"),
	AltDado_79("Data de Juros de mora Inválida"),
	AltDado_80("Data do desconto inválida"),
	AltDado_85("Título com Pagamento Vinculado"),
	AltDado_88("E-mail Pagador não lido no prazo 5 dias"),
	AltDado_91("E-mail pagador não recebido"),
	
	//ocorrência = 32
	InstRej_01("Código do Banco inválido"),
	InstRej_02("Código do registro detalhe inválido"),
	InstRej_04("Código de ocorrência não permitido para a carteira"),
	InstRej_05("Código de ocorrência não numérico"),
	InstRej_07("Agência/Conta/dígito inválidos"),
	InstRej_08("Nosso número inválido"),
	InstRej_10("Carteira inválida"),
	InstRej_15("Características da cobrança incompatíveis"),
	InstRej_16("Data de vencimento inválida"),
	InstRej_17("Data de vencimento anterior a data de emissão"),
	InstRej_18("Vencimento fora do prazo de operação"),
	InstRej_20("Valor do título inválido"),
	InstRej_21("Espécie do Título inválida"),
	InstRej_22("Espécie não permitida para a carteira"),
	InstRej_24("Data de emissão inválida"),
	InstRej_28("Código de desconto via Telebradesco inválido"),
	InstRej_29("Valor do desconto maior/igual ao valor do Título "),
	InstRej_30("Desconto a conceder não confere"),
	InstRej_31("Concessão de desconto - Já existe desconto anterior"),
	InstRej_33("Valor do abatimento inválido"),
	InstRej_34("Valor do abatimento maior/igual ao valor do Título"),
	InstRej_36("Concessão abatimento - Já existe abatimento anterior"),
	InstRej_38("Prazo para protesto/ Negativação inválido"),
	InstRej_39("Pedido para protesto/ Negativação não permitido para o título"),
	InstRej_40("Título com ordem/pedido de protesto/Negativação emitido"),
	InstRej_41("Pedido de sustação/excl p/ Título sem instrução de protesto/Negativação"),
	InstRej_42("Código para baixa/devolução inválido"),
	InstRej_45("Nome do Pagador não informado"),
	InstRej_46("Tipo/número de inscrição do Pagador inválidos"),
	InstRej_47("Endereço do Pagador não informado"),
	InstRej_48("CEP Inválido"),
	InstRej_50("CEP referente a um Banco correspondente"),
	InstRej_53("Tipo de inscrição do pagador avalista inválidos"),
	InstRej_60("Movimento para Título não cadastrado"),
	InstRej_85("Título com pagamento vinculado"),
	InstRej_86("Seu número inválido"),
	InstRej_94("Título Penhorado - Instrução não Liberada pela Agência"),
	InstRej_97("Instrução não permitida título negativado"),
	InstRej_98("Inclusão Bloqueada face a determinação Judicial"),
	InstRej_99("Telefone beneficiário não informado / inconsistente"),
	
	//ocorrência = 35
	DesDedA_81("Tentativas esgotadas, baixado"),
	DesDedA_82("Tentativas esgotadas, pendente"),
	DesDedA_83("Cancelado pelo Pagador e Mantido Pendente, conforme negociação"),
	DesDedA_84("Cancelado pelo pagador e baixado, conforme negociação");
	
	
	private MotivoOcorrenciaBradesco (String motivo){
		this.motivo = motivo;
	}
	
	private String motivo;
	
	public String getMotivo() {
		return motivo;
	}
	
	public String getLabelMotivo(){
		return this.name().substring(0, 7);
	}
	
	public String getCodMotivo(){
		return this.name().substring(8);
	}
	
	public static MotivoOcorrenciaBradesco getInstance(OcorrenciaBradesco o, String codMotivo){		
		
		String label = o.name() + "_" + codMotivo;
		
		for(MotivoOcorrenciaBradesco mo : MotivoOcorrenciaBradesco.values()){
			
			if(mo.name().equals(label)){
				return mo;
			}
			
		}
		
		return null;
	}

}
